package com.ho.flow.mapper;

import com.ho.common.tools.entity.OrderForm;
import com.ho.common.tools.entity.file.OrderFile;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author yule
 * @Date 2023/9/7 10:48
 * @desc ${}
 */
@Mapper
public interface OrderFormMapper {

    //根据路程id查询表单对象
    OrderForm selectByProcessInstanceId(String processInstanceId);

    //新增表数据
    int insertOrderFormOne(OrderForm orderForm);

    //新增表单文件数据
    int insertOrderFileOne(OrderFile orderFile);

    //根据用户id查询表单数据
    OrderForm selectByUserId(String userId);

    //根据用户id查询表单数据
    OrderForm selectByOrderId(Integer orderFormId);

    List<OrderForm> selectFinishByUserId(String userId);

    void updateStatus(OrderForm orderForm);

    //修改表单数据
    void update(OrderForm orderForm);

    void deleteFile(Integer orderFormId);

    List<OrderForm> getInspectionOrders(Integer stationId);

    //根据用户id查询表单数据
    List<OrderForm> selectOrderFormList(String userId);

}
